/*
 * Void.cpp
 *
 *  Created on: Mar 26, 2013
 *      Author: Jan Travnicek
 */

#include "Void.h"
#include "Object.h"
#include <registration/ValuePrinterRegistration.hpp>

namespace object {

Void::Void() {

}

int Void::compare(const Void&) const {
	return 0;
}

void Void::operator>>(std::ostream& out) const {
	out << "(Void)";
}

Void::operator std::string () const {
	return "V";
}

Void Void::VOID = Void();

} /* namespace object */

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < object::Void > ( );

} /* namespace */
